> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Location

> Save Location



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/location
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/location:
    post:
      tags:
        - InventoryLocation
      summary: Save Location
      description: Save Location
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/LocationRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/LocationResponse'
                type: array
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    LocationRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LocationRequest'
      description: Location Request Object
      required: true
  schemas:
    LocationResponse:
      description: Location Response Object
      properties:
        active:
          description: Flag for whether the location is active
          type: boolean
        countryCode:
          description: Country Code
          type: string
        directShip:
          description: Flag for whether the location allows Direct Ship (STH) orders
          type: boolean
        express:
          description: Flag for whether the location is express enabled or not
          type: boolean
        includeInAggregate:
          description: Flag for whether the location is to be included in aggregate exports
          type: boolean
        includeInLocationExport:
          description: Flag for whether the location is to be included in location exports
          type: boolean
        latitude:
          description: Latitude
          type: number
        locationCode:
          description: Location Code
          type: string
        locationID:
          description: Internal Location ID
          type: integer
        locationName:
          description: Location Name
          type: string
        longitude:
          description: Longitude
          type: number
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        pickup:
          description: Flag for whether the location allows Pickup (BOPIS) orders
          type: boolean
        postalCode:
          description: Postal Code
          type: string
        success:
          description: Flag for success
          type: boolean
        tenantID:
          description: Tenant ID
          type: integer
        transferEnabled:
          description: Flag for whether the location allows Transfer orders
          type: boolean
        wmsEnabled:
          description: Flag for whether the location is WMS Enabled
          type: boolean
      title: LocationResponse
      type: object
    LocationRequest:
      description: Location Request Object
      properties:
        active:
          description: Flag for whether the location is active
          type: boolean
        countryCode:
          description: Country Code
          type: string
        directShip:
          description: Flag for whether the location allows Direct Ship (STH) orders
          type: boolean
        express:
          description: Flag for whether the location is express enabled or not
          type: boolean
        includeInAggregate:
          description: Flag for whether the location is to be included in aggregate exports
          type: boolean
        includeInLocationExport:
          description: Flag for whether the location is to be included in location exports
          type: boolean
        latitude:
          description: Latitude
          type: number
        locationCode:
          description: Location Code
          type: string
        locationName:
          description: Location Name
          type: string
        longitude:
          description: Longitude
          type: number
        pickup:
          description: Flag for whether the location allows Pickup (BOPIS) orders
          type: boolean
        postalCode:
          description: Postal Code
          type: string
        tenantID:
          description: Tenant ID
          type: integer
        transferEnabled:
          description: Flag for whether the location allows Transfer orders
          type: boolean
        wmsEnabled:
          description: Flag for whether the location is WMS Enabled
          type: boolean
      required:
        - locationCode
        - directShip
        - pickup
        - tenantID
        - active
        - locationName
      title: LocationRequest
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````